interface I {	
	public void myfunc();	
}

public class IObjectTest implements I{
	public void func(){
		System.out.println("Hello func");
	}

	public void myfunc(){
		System.out.println("Hello myfunc");
	}

	public static void main(String ... args){
		I i = new IObjectTest();

		i.myfunc();//可以这样调用。

		i.toString();//可以这样调用，因为接口I隐形地声明了方法头toString()。
		i.equals(i); //同上。
		i.getClass();//同上。

		i.func();//不允许这样调用，编译不通过，因为接口I没有声明方法头func()。	
	}
}
